
<form name="form" novalidate>


	<div id="top_of_dialog">
		<strong>Upload rapporto canale</strong>
	</div>

	<div style="margin-top: 15px">
		<table
			class="table table-bordered blockContainer showInlineTable equalSplit">
			<thead>
				<tr>
					<th class="blockHeader" colspan="4">Rapporto canale</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right ">
							<span class="redColor" ng-show="form.process.$invalid">* </span>Tipo Upload
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> 
								<select name="tipo"
										id="tipo"
										ng-model="ctrl.tipoUpload"
										ng-options="item for item in ctrl.tipiUpload" >
									</select>
								</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium"><label class="muted pull-right ">
							<span class="redColor" ng-show="form.process.$invalid">* </span>Lista
							Emittenti
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <select name="emittente"
								id="emittente" ng-change="getCanali(ctrl.emittente)"
								ng-model="ctrl.emittente"
								ng-options="getNameForSelect(item) for item in ctrl.listaEmittenti" >
							</select>
							</span>
						</div>
					</td>
				</tr>
				<tr ng-hide="ctrl.tipoUpload=='Massivo'">
					<td class="fieldLabel medium"><label class="muted pull-right ">
							<span class="redColor" ng-show="form.process.$invalid">* </span>Lista
							Canali
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <select name="canale" id="canale"
								ng-model="ctrl.canale"
								ng-options="item.nome for item in ctrl.listaCanali" >
							</select>
							</span>
						</div>
					</td>
				</tr>
				<tr ng-hide="ctrl.tipoUpload=='Massivo'">
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span> Anno
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <select name="utilization"
								id="utilization" ng-model="ctrl.anno"
								ng-options="item for item in ctrl.anno" >
							</select>
							</span>
						</div>
					</td>
				</tr>
				<tr ng-hide="ctrl.tipoUpload=='Massivo'">
					<td class="fieldLabel medium"><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.process.$invalid">*</span> Mese
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10"> <select name="utilization"
								id="utilization" ng-model="ctrl.mese"
								ng-options="item.label for item in ctrl.mesi" >
							</select>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium" nowrap><label
						class="muted pull-right marginRight10px"> <span
							class="redColor" ng-show="form.file.$invalid">*</span>File CSV
					</label></td>
					<td class="fieldValue medium">
						<div class="row-fluid" ngf-drop ng-model="ctrl.file"
							ngf-max-size="20MB" ngf-allow-dir="false">
							<div class="row-fluid" ng-hide="!ctrl.file"
								style="margin-bottom: 5px">
								<strong>{{ctrl.file.name}}</strong> {{ctrl.file.$error}}
								{{ctrl.file.$errorParam}}
							</div>
							<div class="row-fluid"
								style="margin-top: 20px; margin-bottom: 20px">Drag &amp;
								Drop file</div>
							<div ngf-no-file-drop>File Drag/Drop is not supported for
								this browser</div>
							<button class="ngdialog-input" type="file" ngf-select name="file"
								 ng-model="ctrl.file" ngf-max-size="20MB"
								ngf-allow-dir="false">...or choose file</button>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>

	<div style="margin-top: 15px">
		<table width="100%">
			<tr>
				<td>
					<button type="button" class="btn addButton" ng-click="cancel()">
						<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
					</button>
				</td>
				<td align="right">
					<button ng-disabled="ctrl.tipoUpload=='Singolo'&&(ctrl.emittente==undefined||ctrl.emittente==''||ctrl.emittente=='*'
						||ctrl.canale==undefined||ctrl.canale==''||ctrl.canale=='*'
						||ctrl.anno==undefined||ctrl.anno==''||ctrl.anno=='*'
						||ctrl.mese==undefined||ctrl.mese==''||ctrl.mese=='*'
						||ctrl.file==undefined||ctrl.file=='')
						||ctrl.tipoUpload=='Massivo'&&(ctrl.emittente==undefined||ctrl.emittente==''||ctrl.emittente=='*'||ctrl.file==undefined||ctrl.file=='')" 
						class="btn addButton"
						ng-click="save()">
						<span class="glyphicon glyphicon-cloud-upload"></span>&nbsp;&nbsp;<strong>Upload</strong>
					</button>
				</td>
			</tr>
		</table>
	</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
